Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8351 - suppress "invalid ICMP error to a broadcast" console messages
Summary: suppress "invalid ICMP error to a broadcast" console messages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-10 23:01 UTC by pmweidne
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-10 23:01:42 UTC


Attachments (Terms of Use)

Description pmweidne 2000-01-10 23:01:42 UTC
Console constantly logs:

xx.xx.xx.xx sent an invalid ICMP error to a broadcast

Have seen on mailing lists that this can be turned off by
editing /usr/src/linux/net/ipv4/icmp.c and commenting out the printk OR
echoing "1" to /proc/sys/net/ipv4/icmp_echo_ignore_broadcasts (which
doesn't work anyway).

Is there a patch for this problem - I couldn't find the bug listed
anywhere in bugzilla?

Comment 1 Alan Cox 2000-08-08 18:56:19 UTC
The default behaviour is correct. Its warning you something on your network
needs major brain surgery to comply with standards. And you can turn it off as
you have noted if you cant fix your broken network or are sharing it



Note You need to log in before you can comment on or make changes to this bug.